# Handling takedown notices

If you are running a public Invidious instance, it is very possible that you will end up receiving a takedown notice at some point. A copyright agent will probably search the ID of an infringing video on a search engine and see your instance appear. At least in the United States and in Europe, Invidious instances are, in theory, legal.

Do note that most requests are invalid and technically illegal since they aren't sent by a lawyer, so you can, in theory, never reply to them (unless they are a company/law firm). If you want to be safe you can obviously counter all of them.

To counter them "easily", we decided to provide templates depending on where your instance is located.

Or if you want to hide your instance from takedown requests, you can also follow this tutorial: https://docs.invidious.io/hide-instance-behind-proxy-server/.

## Template - United States

```
Hello,

I am writing on behalf of {{website}}. I am the webmaster of {{website}} and all of its subdomains.

I see you are filing a claim for {{allegedly infringing URLs}}. {{invidious instance url}} hosts Invidious, a private YouTube front-end, meaning it is simply a proxy to access YouTube assets and user generated content without tracking from Google. Thus, all content is proxied from YouTube and is not stored on our servers, and, if YouTube chooses to remove an asset, it will no longer appear on our site.

Our Invidious instance {{invidious instance url}} is hosted in the United States, so the United States's laws apply to it. Under United States copyright law 17 U.S.C. § 512(a), part of the Digital Millennium Copyright Act, content that "is transmitted through the system or network without modification of its content" is allowed, and legal.

As such, all takedown requests must be sent to YouTube, as we don't have any control on the data that they have on their servers.

Thank you,
{{name}}
```

## Template - European Union

```
Hello,

I am writing on behalf of {{website}}. I am the webmaster of {{website}} and all of its subdomains.

I see you are filing a claim for {{allegedly infringing URLs}}. {{invidious instance url}} hosts Invidious, a private YouTube front-end, meaning it is simply a proxy to access YouTube assets and user generated content without tracking from Google. Thus, all content is proxied from YouTube and is not stored on our servers, and, if YouTube chooses to remove an asset, it will no longer appear on our site.

Our Invidious instance {{invidious instance url}} is hosted in the European Union, so the European Union's laws apply to it. Under the directive 2001/29/EC of the European Parliament and of the Council of 22 May 2001 on the harmonization of certain aspects of copyright and related rights in the information society, "temporary acts of reproduction [...], which are transient or incidental [and] an integral and essential part of a technological process and whose sole purpose is to enable: a transmission in a network between third parties by an intermediary" is allowed, and legal.

As such, all takedown requests must be sent to YouTube, as we don't have any control on the data that they have on their servers.

Thank you,
{{name}}
```
